Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.chart
Enum OdfAxisLabelPositionType

    java.lang.Object
      java.lang.Enum<OdfAxisLabelPositionType>
          org.odftoolkit.odfdom.dom.type.chart.OdfAxisLabelPositionType

All Implemented Interfaces:
  Serializable, Comparable<OdfAxisLabelPositionType>

    public enum OdfAxisLabelPositionType

extends Enum<OdfAxisLabelPositionType>

DOM implementation of OpenDocument attribute chart:axis-label-position.

Enum Constant Summary
`NEAR_AXIS`
`NEAR_AXIS_OTHER_SIDE`
`OUTSIDE_END`
`OUTSIDE_START`

Method Summary
`static OdfAxisLabelPositionType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfAxisLabelPositionType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfAxisLabelPositionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfAxisLabelPositionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NEAR_AXIS_OTHER_SIDE

    public static final OdfAxisLabelPositionType NEAR_AXIS_OTHER_SIDE

### OUTSIDE_END

    public static final OdfAxisLabelPositionType OUTSIDE_END

### OUTSIDE_START

    public static final OdfAxisLabelPositionType OUTSIDE_START

### NEAR_AXIS

    public static final OdfAxisLabelPositionType NEAR_AXIS

Method Detail

### values

    public static OdfAxisLabelPositionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfAxisLabelPositionType c : OdfAxisLabelPositionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfAxisLabelPositionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfAxisLabelPositionType>`
  Returns:
    return the name of OdfAxisLabelPositionType

### toString

    public static String toString(OdfAxisLabelPositionType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfAxisLabelPositionType, see chart:axis-label-position
  Returns:
    return the name of OdfAxisLabelPositionType

### enumValueOf

    public static OdfAxisLabelPositionType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfAxisLabelPositionType
  Returns:
    return the constant of OdfAxisLabelPositionType, see chart:axis-label-position

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.